Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/domain_def.xml
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/domain_def.xml	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/domain_def.xml	(revision 4345)
@@ -5,5 +5,6 @@
 	 <!--   My zoom: example of hand defined zoom   -->
          <domain id="myzoom" zoom_ibegin="10" zoom_jbegin="10" zoom_ni="5" zoom_nj="5" />
-	 <!--   Eq section   -->
+         <domain id="1point" zoom_ibegin="10" zoom_jbegin="10" zoom_ni="1" zoom_nj="1" />
+         <!--   Eq section   -->
          <domain id="EqT" zoom_ibegin="1" zoom_jbegin="0000" zoom_ni="0000" zoom_nj="1" />
          <!--   TAO   -->
@@ -170,5 +171,7 @@
       <domain_group id="scalarpoint">
          <domain id="scalarpoint" long_name="scalar"/>
+         <!--
          <domain id="1point" zoom_ibegin="1" zoom_jbegin="1" zoom_ni="1" zoom_nj="1" />
+         -->
       </domain_group>
 
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/field_def.xml
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/field_def.xml	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/field_def.xml	(revision 4345)
@@ -214,6 +214,6 @@
          
          <field id="iceconc"      long_name="ice concentration"                                            unit="%"        />
-         <field id="icebopr"      long_name="daily bottom thermo ice prod."                                unit="km3/day"   />
-         <field id="icedypr"      long_name="daily  dynamic ice prod."                                     unit="km3/day"   />
+         <field id="icebopr"      long_name="daily bottom thermo ice prod."                                unit="m/day"   />
+         <field id="icedypr"      long_name="daily  dynamic ice prod."                                     unit="m/day"   />
 	 <field id="ioceflxb"     long_name="Oceanic flux at the ice base"                                 unit="W/m2"     />
          <field id="uice_ipa"     long_name="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />
@@ -231,6 +231,6 @@
          <field id="micesalt"     long_name="Mean ice salinity"                                            unit="psu"      />
          <field id="miceage"      long_name="Mean ice age"                                                 unit="years"    />
-         <field id="icelapr"      long_name="daily lateral thermo ice prod."                               unit="km3/day"   />
-         <field id="icesipr"      long_name="daily snowice ice prod."                                      unit="km3/day"   />
+         <field id="icelapr"      long_name="daily lateral thermo ice prod."                               unit="m/day"   />
+         <field id="icesipr"      long_name="daily snowice ice prod."                                      unit="m/day"   />
          <field id="micet"        long_name="Mean ice temperature"                                         unit="degC"     />
          <field id="icehc"        long_name="ice total heat content"                                       unit="10^9 J"   /> 
@@ -243,14 +243,14 @@
          <field id="icestr"       long_name="ice strength"                                                 unit="N/m"      />
          <field id="icevel"       long_name="ice velocity"                                                 unit="m/s"      />
-         <field id="isume"        long_name="surface melt"                                                 unit="km3/day"   />
-         <field id="ibome"        long_name="bottom melt"                                                  unit="km3/day"   />
+         <field id="isume"        long_name="surface melt"                                                 unit="m/day"   />
+         <field id="ibome"        long_name="bottom melt"                                                  unit="m/day"   />
          <field id="idive"        long_name="divergence"                                                   unit="10-8s-1"  />
          <field id="ishear"       long_name="shear"                                                        unit="10-8s-1"  />
-         <field id="icerepr"      long_name="daily resultant ice prod./melting from limupdate"             unit="km3/day"   />
-         <field id="icevolu"      long_name="ice volume"                                                   unit="km3"      />
-         <field id="snowvol"      long_name="snow volume"                                                  unit="km3"      />
+         <field id="icerepr"      long_name="daily resultant ice prod./melting from limupdate"             unit="m/day"   />
+         <field id="icevolu"      long_name="ice volume"                                                   unit="m"      />
+         <field id="snowvol"      long_name="snow volume"                                                  unit="m"      />
          <field id="sfxmec"       long_name="salt flux from ridging rafting"                               unit="psu*kg/m2/day" />
          <field id="sfxres"       long_name="salt flux from lipupdate (resultant)"                         unit="psu*kg/m2/day" />
-         <field id="icetrp"       long_name="ice volume transport"                                         unit="km3/day"   />
+         <field id="icetrp"       long_name="ice volume transport"                                         unit="m/day"   />
 
 
@@ -333,18 +333,19 @@
          <field id="fram_trans" long_name="Sea Ice Mass Transport Through Fram Strait" unit="kg/s" />
    	 <!-- available with ln_diahsb -->
-	 <field id="bgtemper"     long_name="global mean temperature"                  unit="degC"   />
-	 <field id="bgsaline"     long_name="global mean salinity"                     unit="psu"    />
-	 <field id="bgheatco"     long_name="global mean heat content"                 unit="10^9J"  />
-	 <field id="bgsaltco"     long_name="global mean salt content"                 unit="psu*m3" />
-	 <field id="bgvolssh"     long_name="global mean ssh volume"                   unit="km3"     />
-	 <field id="bgvoltot"     long_name="global mean volume"                       unit="km3"     />
-	 <field id="bgsshtot"     long_name="global mean ssh"                          unit="m"      />
-	 <field id="bgfrcvol"     long_name="global mean volume from forcing"          unit="km3"     />
-	 <field id="bgfrctem"     long_name="global mean heat content from forcing"    unit="10^9J"  />
-	 <field id="bgfrcsal"     long_name="global mean salt content from forcing"    unit="psu*km3" />
+	 <field id="bgtemper" long_name="global mean temperature variation"            unit="degC"/>
+	 <field id="bgsaline" long_name="global mean salinity variation"               unit="psu"/>
+	 <field id="bgheatco" long_name="global mean heat content variation"           unit="10^20J"/>
+	 <field id="bgsaltco" long_name="global mean salt content variation"           unit="psu*km3" />
+	 <field id="bgvolssh" long_name="global mean volume variation (ssh)"           unit="km3"/>
+	 <field id="bgvole3t" long_name="global mean volume variation (e3t)"           unit="km3"/>
+	 <field id="bgfrcvol" long_name="global mean volume variation from forcing"    unit="km3"/>
+	 <field id="bgfrctem" long_name="global mean forcing from heat content variation"   unit="degC"/>
+	 <field id="bgfrcsal" long_name="global mean forcing salt content variation"        unit="psu"/>
+	 <field id="bgmistem" long_name="global mean temperature error due to free surface" unit="degC"/>
+	 <field id="bgmissal" long_name="global mean salinity error due to free surface"    unit="psu"/>
       </field_group>
 
       <field_group id="SBC_scalar"  domain_ref="1point" >
-         <!-- available with ln_limdiahsb -->
+         <!-- available with ln_limdiaout -->
 	 <field id="ibgvoltot"    long_name="global mean ice volume"                   unit="km3"   />
 	 <field id="sbgvoltot"    long_name="global mean snow volume"                  unit="km3"   />
@@ -352,16 +353,26 @@
 	 <field id="ibgsaline"    long_name="global mean ice salinity"                 unit="psu"   />
 	 <field id="ibgtemper"    long_name="global mean ice temperature"              unit="degC"   />
-	 <field id="ibgheatco"    long_name="global mean ice heat content"             unit="10^9J"   />
+	 <field id="ibgheatco"    long_name="global mean ice heat content"             unit="10^20J"   />
+	 <field id="sbgheatco"    long_name="global mean snow heat content"            unit="10^20J"   />
 	 <field id="ibgsaltco"    long_name="global mean ice salt content"             unit="psu*km3"   />
-	 <field id="sbgheatco"    long_name="global mean snow heat content"            unit="10^9J"   />
-	 <field id="ibgfrcsfx"    long_name="global mean salt content from sfx"        unit="psu*km3"   />
-	 <field id="ibgfrcemp"    long_name="global mean volume from emp"              unit="km3"      />
-	 <field id="ibgsfx"       long_name="global mean emps"                         unit="psu*kg/m2/day"   />
-	 <field id="ibgemp"       long_name="global mean emp"                          unit="kg/m2/day"   />
-	 <field id="ibgsfxbri"    long_name="global mean ice sfx_bri"                  unit="psu*kg/m2/day"   />
-	 <field id="ibgsfxthd"    long_name="global mean ice sfx_thd"                  unit="psu*kg/m2/day"   />
-	 <field id="ibgsfxres"    long_name="global mean ice sfx_res"                  unit="psu*kg/m2/day"   />
-	 <field id="ibgsfxmec"    long_name="global mean ice fsalt_rpo"                unit="psu*kg/m2/day"   />
-	 <field id="ibggrpme"     long_name="global mean ice growth+melt volume"       unit="km3"      />
+
+	 <field id="ibgemp"       long_name="global mean volume flux (emp)"               unit="m/day"   />
+	 <field id="ibgempbog"    long_name="global mean volume flux (bottom growth)"     unit="m/day"   />
+	 <field id="ibgemplag"    long_name="global mean volume flux (open water growth)" unit="m/day"   />
+	 <field id="ibgempsig"    long_name="global mean volume flux (snow-ice growth)"   unit="m/day"   />
+	 <field id="ibgempdyg"    long_name="global mean volume flux (dynamic growth)"    unit="m/day"   />
+	 <field id="ibgempbom"    long_name="global mean volume flux (bottom melt)"       unit="m/day"   />
+	 <field id="ibgempsum"    long_name="global mean volume flux (surface melt)"      unit="m/day"   />
+	 <field id="ibgempres"    long_name="global mean volume flux (resultant)"         unit="m/day"   />
+
+	 <field id="ibgsfx"       long_name="global mean salt flux (total)"            unit="psu*m/day"   />
+	 <field id="ibgsfxbri"    long_name="global mean salt flux (brines)"           unit="psu*m/day"   />
+	 <field id="ibgsfxthd"    long_name="global mean salt flux (thermo)"           unit="psu*m/day"   />
+	 <field id="ibgsfxmec"    long_name="global mean salt flux (dynamic)"          unit="psu*m/day"   />
+	 <field id="ibgsfxres"    long_name="global mean salt flux (resultant)"        unit="psu*m/day"   />
+
+	 <field id="ibgfrcvol"    long_name="global mean forcing volume (emp)"         unit="km3"      />
+	 <field id="ibgfrcsfx"    long_name="global mean forcing salt   (sfx)"         unit="psu*km3"   />
+	 <field id="ibggrme"      long_name="global mean ice growth+melt volume"       unit="km3"      />
       </field_group>
   
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4345)
@@ -128,6 +128,5 @@
 	</file>
 
-
-	<file id="file7" name_suffix="_scalar" description="scalar variables" >
+        <file id="file7" name_suffix="_scalar" description="scalar variables" >
           <field field_ref="voltot"       name="scvoltot"  />
           <field field_ref="sshtot"       name="scsshtot"  />
@@ -137,47 +136,47 @@
           <field field_ref="temptot"      name="sctemtot"  />
           <field field_ref="saltot"       name="scsaltot"  />
-	
-          <!-- available with ln_diahsb -->
-	  <field field_ref="bgtemper"     name="bgtemper"    />
-	  <field field_ref="bgsaline"     name="bgsaline"    />
-	  <field field_ref="bgheatco"     name="bgheatco"    />
-	  <field field_ref="bgsaltco"     name="bgsaltco"    />
-	  <field field_ref="bgvolssh"     name="bgvolssh"    />
-	  <field field_ref="bgvoltot"     name="bgvoltot"    />
-	  <field field_ref="bgsshtot"     name="bgsshtot"    />
-	  <field field_ref="bgfrcvol"     name="bgfrcvol"    />
-	  <field field_ref="bgfrctem"     name="bgfrctem"    />
-	  <field field_ref="bgfrcsal"     name="bgfrcsal"    />
-	  <!-- available with ln_limdiahsb -->
-	  <field field_ref="ibgvoltot"    name="ibgvoltot"   />
-	  <field field_ref="sbgvoltot"    name="sbgvoltot"   />
-	  <field field_ref="ibgarea"      name="ibgarea"     />
-	  <field field_ref="ibgsaline"    name="ibgsaline"   />
-	  <field field_ref="ibgtemper"    name="ibgtemper"   />
-	  <field field_ref="ibgheatco"    name="ibgheatco"   />
-	  <field field_ref="ibgsaltco"    name="ibgsaltco"   />
-	  <field field_ref="sbgheatco"    name="sbgheatco"   />
-	  <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
-	  <field field_ref="ibgfrcemp"    name="ibgfrcemp"   />
-	  <field field_ref="ibgsfx"       name="ibgsfx"     />
-	  <field field_ref="ibgemp"       name="ibgemp"      />
-	  <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
-	  <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
-	  <field field_ref="ibgsfxres"    name="ibgsfxres" />
-	  <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
-	  <field field_ref="ibggrpme"     name="ibggrpme"    />
-
-	</file>
-
-	<!--
-	<file id="file8" name_suffix="_Tides" description="tidal harmonics" >
-	  <field field_ref="M2x"          name="M2x"      long_name="M2 Elevation harmonic real part"                       />
-	  <field field_ref="M2y"          name="M2y"      long_name="M2 Elevation harmonic imaginary part"                  />
-	  <field field_ref="M2x_u"        name="M2x_u"    long_name="M2 current barotrope along i-axis harmonic real part "       />
-	  <field field_ref="M2y_u"        name="M2y_u"    long_name="M2 current barotrope along i-axis harmonic imaginary part "  />
-	  <field field_ref="M2x_v"        name="M2x_v"    long_name="M2 current barotrope along j-axis harmonic real part "       />
-	  <field field_ref="M2y_v"        name="M2y_v"    long_name="M2 current barotrope along j-axis harmonic imaginary part "  />
-	</file>
-	-->
+
+          <field field_ref="bgtemper"     name="bgtemper"    />
+          <field field_ref="bgsaline"     name="bgsaline"    />
+          <field field_ref="bgheatco"     name="bgheatco"    />
+          <field field_ref="bgsaltco"     name="bgsaltco"    />
+          <field field_ref="bgvolssh"     name="bgvolssh"    /> 
+          <field field_ref="bgvole3t"     name="bgvole3t"    />
+          <field field_ref="bgfrcvol"     name="bgfrcvol"    />
+          <field field_ref="bgfrctem"     name="bgfrctem"    />
+          <field field_ref="bgfrcsal"     name="bgfrcsal"    />
+          <field field_ref="bgmistem"     name="bgmistem"    />
+          <field field_ref="bgmissal"     name="bgmissal"    />
+        </file>
+
+        <file id="file8" name_suffix="_SBC_scalar" description="scalar variables" >
+          <field field_ref="ibgvoltot"    name="ibgvoltot"   />
+          <field field_ref="sbgvoltot"    name="sbgvoltot"   />
+          <field field_ref="ibgarea"      name="ibgarea"     />
+          <field field_ref="ibgsaline"    name="ibgsaline"   />
+          <field field_ref="ibgtemper"    name="ibgtemper"   />
+          <field field_ref="ibgheatco"    name="ibgheatco"   />
+          <field field_ref="sbgheatco"    name="sbgheatco"   />
+          <field field_ref="ibgsaltco"    name="ibgsaltco"   />
+
+          <field field_ref="ibgemp"       name="ibgemp"      />
+          <field field_ref="ibgempbog"    name="ibgempbog"      />
+          <field field_ref="ibgemplag"    name="ibgemplag"      />
+          <field field_ref="ibgempsig"    name="ibgempsig"      />
+          <field field_ref="ibgempdyg"    name="ibgempdyg"      />
+          <field field_ref="ibgempbom"    name="ibgempbom"      />
+          <field field_ref="ibgempsum"    name="ibgempsum"      />
+          <field field_ref="ibgempres"    name="ibgempres"      />
+
+          <field field_ref="ibgsfx"       name="ibgsfx"     />
+          <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
+          <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
+          <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
+          <field field_ref="ibgsfxres"    name="ibgsfxres" />
+
+          <field field_ref="ibgfrcvol"    name="ibgfrcvol"   />
+          <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
+          <field field_ref="ibggrme"      name="ibggrme"    />
+        </file>
 
       </file_group>
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef_default.xml
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef_default.xml	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef_default.xml	(revision 4345)
@@ -128,6 +128,5 @@
 	</file>
 
-
-	<file id="file7" name_suffix="_scalar" description="scalar variables" >
+        <file id="file7" name_suffix="_scalar" description="scalar variables" enabled=".true." >
           <field field_ref="voltot"       name="scvoltot"  />
           <field field_ref="sshtot"       name="scsshtot"  />
@@ -137,47 +136,47 @@
           <field field_ref="temptot"      name="sctemtot"  />
           <field field_ref="saltot"       name="scsaltot"  />
-	
-          <!-- available with ln_diahsb -->
-	  <field field_ref="bgtemper"     name="bgtemper"    />
-	  <field field_ref="bgsaline"     name="bgsaline"    />
-	  <field field_ref="bgheatco"     name="bgheatco"    />
-	  <field field_ref="bgsaltco"     name="bgsaltco"    />
-	  <field field_ref="bgvolssh"     name="bgvolssh"    />
-	  <field field_ref="bgvoltot"     name="bgvoltot"    />
-	  <field field_ref="bgsshtot"     name="bgsshtot"    />
-	  <field field_ref="bgfrcvol"     name="bgfrcvol"    />
-	  <field field_ref="bgfrctem"     name="bgfrctem"    />
-	  <field field_ref="bgfrcsal"     name="bgfrcsal"    />
-	  <!-- available with ln_limdiahsb -->
-	  <field field_ref="ibgvoltot"    name="ibgvoltot"   />
-	  <field field_ref="sbgvoltot"    name="sbgvoltot"   />
-	  <field field_ref="ibgarea"      name="ibgarea"     />
-	  <field field_ref="ibgsaline"    name="ibgsaline"   />
-	  <field field_ref="ibgtemper"    name="ibgtemper"   />
-	  <field field_ref="ibgheatco"    name="ibgheatco"   />
-	  <field field_ref="ibgsaltco"    name="ibgsaltco"   />
-	  <field field_ref="sbgheatco"    name="sbgheatco"   />
-	  <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
-	  <field field_ref="ibgfrcemp"    name="ibgfrcemp"   />
-	  <field field_ref="ibgsfx"       name="ibgsfx"     />
-	  <field field_ref="ibgemp"       name="ibgemp"      />
-	  <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
-	  <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
-	  <field field_ref="ibgsfxres"    name="ibgsfxres" />
-	  <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
-	  <field field_ref="ibggrpme"     name="ibggrpme"    />
-
-	</file>
-
-	<!--
-	<file id="file8" name_suffix="_Tides" description="tidal harmonics" >
-	  <field field_ref="M2x"          name="M2x"      long_name="M2 Elevation harmonic real part"                       />
-	  <field field_ref="M2y"          name="M2y"      long_name="M2 Elevation harmonic imaginary part"                  />
-	  <field field_ref="M2x_u"        name="M2x_u"    long_name="M2 current barotrope along i-axis harmonic real part "       />
-	  <field field_ref="M2y_u"        name="M2y_u"    long_name="M2 current barotrope along i-axis harmonic imaginary part "  />
-	  <field field_ref="M2x_v"        name="M2x_v"    long_name="M2 current barotrope along j-axis harmonic real part "       />
-	  <field field_ref="M2y_v"        name="M2y_v"    long_name="M2 current barotrope along j-axis harmonic imaginary part "  />
-	</file>
-	-->
+
+          <field field_ref="bgtemper"     name="bgtemper"    />
+          <field field_ref="bgsaline"     name="bgsaline"    />
+          <field field_ref="bgheatco"     name="bgheatco"    />
+          <field field_ref="bgsaltco"     name="bgsaltco"    />
+          <field field_ref="bgvolssh"     name="bgvolssh"    /> 
+          <field field_ref="bgvole3t"     name="bgvole3t"    />
+          <field field_ref="bgfrcvol"     name="bgfrcvol"    />
+          <field field_ref="bgfrctem"     name="bgfrctem"    />
+          <field field_ref="bgfrcsal"     name="bgfrcsal"    />
+          <field field_ref="bgmistem"     name="bgmistem"    />
+          <field field_ref="bgmissal"     name="bgmissal"    />
+        </file>
+
+        <file id="file8" name_suffix="_SBC_scalar" description="scalar variables" enabled=".true." >
+          <field field_ref="ibgvoltot"    name="ibgvoltot"   />
+          <field field_ref="sbgvoltot"    name="sbgvoltot"   />
+          <field field_ref="ibgarea"      name="ibgarea"     />
+          <field field_ref="ibgsaline"    name="ibgsaline"   />
+          <field field_ref="ibgtemper"    name="ibgtemper"   />
+          <field field_ref="ibgheatco"    name="ibgheatco"   />
+          <field field_ref="sbgheatco"    name="sbgheatco"   />
+          <field field_ref="ibgsaltco"    name="ibgsaltco"   />
+
+          <field field_ref="ibgemp"       name="ibgemp"      />
+          <field field_ref="ibgempbog"    name="ibgempbog"      />
+          <field field_ref="ibgemplag"    name="ibgemplag"      />
+          <field field_ref="ibgempsig"    name="ibgempsig"      />
+          <field field_ref="ibgempdyg"    name="ibgempdyg"      />
+          <field field_ref="ibgempbom"    name="ibgempbom"      />
+          <field field_ref="ibgempsum"    name="ibgempsum"      />
+          <field field_ref="ibgempres"    name="ibgempres"      />
+
+          <field field_ref="ibgsfx"       name="ibgsfx"     />
+          <field field_ref="ibgsfxbri"    name="ibgsfxbri"    />
+          <field field_ref="ibgsfxthd"    name="ibgsfxthd"    />
+          <field field_ref="ibgsfxmec"    name="ibgsfxmec" />
+          <field field_ref="ibgsfxres"    name="ibgsfxres" />
+
+          <field field_ref="ibgfrcvol"    name="ibgfrcvol"   />
+          <field field_ref="ibgfrcsfx"    name="ibgfrcsfx"  />
+          <field field_ref="ibggrme"      name="ibggrme"    />
+        </file>
 
       </file_group>
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist	(revision 4345)
@@ -900,5 +900,5 @@
 &namhsb       !  Heat and salt budgets
 !-----------------------------------------------------------------------
-   ln_diahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
+   ln_diahsb  = .true.    !  check the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice	(revision 4345)
@@ -22,5 +22,5 @@
    ln_nicep    = .false.   !  Ice points output for debug (yes or no)
    ln_limdiahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
-   ln_limdiaout  = .false.    !  output the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .true.    !  output the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------
@@ -49,5 +49,5 @@
    cw          =   5.0e-03 !  drag coefficient for oceanic stress
    angvg       =   0.0     !  turning angle for oceanic stress
-   pstar       =   4.0e+04 !  1st bulk-rheology parameter
+   pstar       =   2.0e+04 !  1st bulk-rheology parameter
    c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
    etamn       =   0.0e+07 !  minimun value for viscosity
@@ -58,5 +58,5 @@
    telast      =9600.0     !  timescale for elastic waves, SB, 720.0
    alphaevp    =   1.0     !  coefficient for the solution of internal ice stresses
-   hminrhg     =   0.05     !  ice thickness (m) below which ice velocity equal ocean velocity
+   hminrhg     =   0.001   !  ice thickness (m) below which ice velocity equal ocean velocity
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3	(revision 4336)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_ice_lim3	(revision 4345)
@@ -22,5 +22,5 @@
    ln_nicep    = .false.   !  Ice points output for debug (yes or no)
    ln_limdiahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
-   ln_limdiaout  = .false.    !  output the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .true.    !  output the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------