Index: /branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml
===================================================================
--- /branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4349)
+++ /branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/iodef.xml	(revision 4350)
@@ -91,39 +91,45 @@
 
 	<file id="file6" name_suffix="_icemod" description="ice variables" >
-	  <field field_ref="snowthic_cea" name="snd"     long_name="surface_snow_thickness"   />
-	  <field field_ref="icethic_cea"  name="sit"     long_name="sea_ice_thickness"        />
-          <field field_ref="icevolu"      name="iicevolu" />
-          <field field_ref="snowvol"      name="isnowvol" />
-          <field field_ref="iceconc"      name="iiceconc"  />
-
-          <field field_ref="icebopr"          name="iicebopr" />
-          <field field_ref="icedypr"          name="iicedypr" />
+
+	  <field field_ref="snowthic_cea"     name="sndept"     long_name="surface_snow_thickness"   />
+	  <field field_ref="icethic_cea"      name="sithic"     long_name="sea_ice_thickness"        />
+          <field field_ref="icevolu"          name="sivolu" />
+          <field field_ref="snowvol"          name="snvolu" />
+          <field field_ref="iceconc"          name="siconc"  />
+
+          <field field_ref="icebopr"          name="sibopr" />
+          <field field_ref="icedypr"          name="sidypr" />
+          <field field_ref="icelapr"          name="silapr" />
+          <field field_ref="icesipr"          name="sisipr" />
+          <field field_ref="isume"            name="sisume" />
+          <field field_ref="ibome"            name="sibome" />
+          <field field_ref="icerepr"          name="sirepr" />
+
+          <field field_ref="sfxbri"           name="sfxbri" />
+          <field field_ref="sfxthd"           name="sfxthd" />
+          <field field_ref="sfxmec"           name="sfxmec" />
+          <field field_ref="sfxres"           name="sfxres" />
+
+          <field field_ref="isst"             name="sst" />
+          <field field_ref="isss"             name="sss" />
+          <field field_ref="micesalt"         name="sisali" />
+          <field field_ref="micet"            name="sitemp" />
+          <field field_ref="icest"            name="sisurt" />
+          <field field_ref="icehc"            name="siheco" />
+          <field field_ref="isnowhc"          name="snheco" />
+          <field field_ref="miceage"          name="siages" />
           <field field_ref="ioceflxb"         name="ioceflxb" />
-          <field field_ref="uice_ipa"         name="iicevelu" />
-          <field field_ref="vice_ipa"         name="iicevelv" />
-          <field field_ref="isst"             name="isstempe" />
-          <field field_ref="isss"             name="isssalin" />
-          <field field_ref="micesalt"         name="iicesali" />
-          <field field_ref="miceage"          name="iiceages" />
-          <field field_ref="icelapr"          name="iicelapr" />
-          <field field_ref="icesipr"          name="iicesipr" />
-          <field field_ref="micet"            name="iicetemp" />
-          <field field_ref="icehc"            name="iiceheco" />
-          <field field_ref="isnowhc"          name="isnoheco" />
-          <field field_ref="icest"            name="iicesurt" />
-          <field field_ref="sfxbri"            name="iicefsbr" />
-          <field field_ref="sfxthd"            name="iicefseq" />
-          <field field_ref="ibrinv"           name="ibrinvol" />
-          <field field_ref="icecolf"          name="iicecolf" />
-          <field field_ref="icestr"           name="iicestre" />
-          <field field_ref="icevel"           name="iicevelo" />
-          <field field_ref="isume"            name="iicesume" />
-          <field field_ref="ibome"            name="iicebome" />
-          <field field_ref="idive"            name="iicedive" />
-          <field field_ref="ishear"           name="iiceshea" />
-          <field field_ref="icerepr"          name="iicerepr" />
-          <field field_ref="sfxmec"            name="iicefsrp" />
-          <field field_ref="sfxres"            name="iicefsre" />
-          <field field_ref="icetrp"           name="iicevtrp" />
+
+          <field field_ref="uice_ipa"         name="sivelu" />
+          <field field_ref="vice_ipa"         name="sivelv" />
+          <field field_ref="icevel"           name="sivelo" />
+          <field field_ref="idive"            name="sidive" />
+          <field field_ref="ishear"           name="sishea" />
+          <field field_ref="icetrp"           name="sivtrp" />
+          <field field_ref="icestr"           name="sistre" />
+
+          <field field_ref="ibrinv"           name="sibrin" />
+          <field field_ref="icecolf"          name="sicolf" />
+
 	</file>
 