Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/DYN/dynstcor.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/DYN/dynstcor.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/DYN/dynstcor.F90	(revision 4352)
@@ -11,5 +11,4 @@
    USE oce              ! ocean dynamics and tracers
    USE dom_oce          ! ocean space and time domain
-   USE obc_oce          ! ocean lateral open boundary condition
    USE in_out_manager   ! I/O manager
    USE lib_mpp          ! distributed memory computing
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4352)
@@ -53,5 +53,4 @@
    LOGICAL , PUBLIC ::   ln_sdw         !: true if 3d stokes drift from wave model
    !
-   REAL(wp), PUBLIC ::   rn_rrelwind = 1.0       !: relative wind ratio (1.0 means surface currents are subtracted, 0.0 means no current)
    LOGICAL , PUBLIC ::   ln_wavetke  = .FALSE.   !: true if wave parameters are read
    LOGICAL , PUBLIC ::   ln_stcor    = .FALSE.   !: true if Stokes-Coriolis forcing is included 
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 4352)
@@ -140,7 +140,6 @@
       TYPE(FLD_N) ::   sn_tdif                                 !   "                                 "
       NAMELIST/namsbc_core/ cn_dir , ln_2m  , ln_taudif, rn_pfac, rn_efac, rn_vfac,  &
-         &                  sn_wndi, sn_wndj, sn_humi  , sn_qsr ,           &
-         &                  sn_ccov, ln_cdec, ln_cldcov, rn_rrelwind
-         &                  sn_qlw , sn_tair, sn_prec  , sn_snow,           &
+         &                  sn_wndi, sn_wndj, sn_humi  , sn_qsr , ln_cdec,           &
+         &                  sn_qlw , sn_tair, sn_prec  , sn_snow,                    &
          &                  sn_tdif, rn_zqt , ln_bulk2z, rn_zu
       !!---------------------------------------------------------------------
@@ -303,7 +302,7 @@
                zwnd_i(ji,jj) = wspd_wavepar(ji,jj) * SIN(ztheta)
                zwnd_j(ji,jj) = wspd_wavepar(ji,jj) * COS(ztheta)
-               ! Correct for surface current, 0.0 <= rn_rrelwind <= 1.0
-               zwnd_i(ji,jj) = (zwnd_i(ji,jj) - 0.5*rn_rrelwind*(pu(ji-1,jj  ) + pu(ji,jj)))
-               zwnd_j(ji,jj) = (zwnd_j(ji,jj) - 0.5*rn_rrelwind*(pv(ji  ,jj-1) + pv(ji,jj)))
+               ! Correct for surface current, 0.0 <= rn_vfac <= 1.0
+               zwnd_i(ji,jj) = (zwnd_i(ji,jj) - 0.5*rn_vfac*(pu(ji-1,jj  ) + pu(ji,jj)))
+               zwnd_j(ji,jj) = (zwnd_j(ji,jj) - 0.5*rn_vfac*(pv(ji  ,jj-1) + pv(ji,jj)))
             END DO
          END DO
@@ -311,7 +310,7 @@
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vect. opt.
-               ! Correct for surface current, 0.0 <= rn_rrelwind <= 1.0
-               zwnd_i(ji,jj) = (  sf(jp_wndi)%fnow(ji,jj,1) - 0.5*rn_rrelwind*( pu(ji-1,jj  ) + pu(ji,jj) )  )
-               zwnd_j(ji,jj) = (  sf(jp_wndj)%fnow(ji,jj,1) - 0.5*rn_rrelwind*( pv(ji  ,jj-1) + pv(ji,jj) )  )
+               ! Correct for surface current, 0.0 <= rn_vfac <= 1.0
+               zwnd_i(ji,jj) = (  sf(jp_wndi)%fnow(ji,jj,1) - 0.5*rn_vfac*( pu(ji-1,jj  ) + pu(ji,jj) )  )
+               zwnd_j(ji,jj) = (  sf(jp_wndj)%fnow(ji,jj,1) - 0.5*rn_vfac*( pv(ji  ,jj-1) + pv(ji,jj) )  )
             END DO
          END DO
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 4352)
@@ -51,5 +51,4 @@
    USE sbcwave          ! Wave module
    USE sbcwave_ecmwf    ! ECMWF wave module
-   USE sbcwavelim       ! Wave for LIM module
 
    IMPLICIT NONE
@@ -142,5 +141,4 @@
          WRITE(numout,*) '              TKE wave breaking BC from wave model       ln_wavetke  = ', ln_wavetke
          WRITE(numout,*) '              Wave-modified stress from wave model       ln_tauoc    = ', ln_tauoc
-         WRITE(numout,*) '              Wave-modified stress min. sea. frac     rn_taouc_cimin = ', rn_taouc_cimin
       ENDIF
 
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 4352)
@@ -31,5 +31,4 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:)  :: sf_cd	  ! structure of input fields (file informations, fields read) Drag Coefficient
    TYPE(FLD), ALLOCATABLE, DIMENSION(:)  :: sf_sd	  ! structure of input fields (file informations, fields read) Stokes Drift
-   REAL(wp),PUBLIC,ALLOCATABLE,DIMENSION (:,:)       :: cdn_wave 
    REAL(wp),ALLOCATABLE,DIMENSION (:,:)              :: usd2d,vsd2d,uwavenum,vwavenum 
    REAL(wp),PUBLIC,ALLOCATABLE,DIMENSION (:,:,:)     :: usd3d,vsd3d,wsd3d 
@@ -61,4 +60,5 @@
       USE divcur
       USE wrk_nemo
+      USE sbc_oce, ONLY : cdn_wave
 #if defined key_bdy
       USE bdy_oce, ONLY : bdytmask
@@ -100,6 +100,4 @@
             IF( sn_cdg%ln_tint )   ALLOCATE( sf_cd(1)%fdta(jpi,jpj,1,2) )
             CALL fld_fill( sf_cd, (/ sn_cdg /), cn_dir, 'sbc_wave', 'Wave module ', 'namsbc_wave' )
-            ALLOCATE( cdn_wave(jpi,jpj) )
-            cdn_wave(:,:) = 0.0
         ENDIF
          IF ( ln_sdw ) THEN
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave_ecmwf.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave_ecmwf.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave_ecmwf.F90	(revision 4352)
@@ -21,6 +21,6 @@
    PRIVATE
 
+   PUBLIC   sbc_wavepar       ! 
    PUBLIC   sbc_wave_ecmwf    ! routine called in sbc_blk_core or sbc_blk_mfs
-   PUBLIC   sbc_wavepar       ! 
    
    INTEGER , PARAMETER ::   jpfld_wavepar = 7    ! maximum number of fields to be read 
@@ -48,5 +48,5 @@
 CONTAINS
 
-   SUBROUTINE sbc_wave_ecwmf( kt )
+   SUBROUTINE sbc_wave_ecmwf( kt )
       !!---------------------------------------------------------------------
       !!                     ***  ROUTINE sbc_apr  ***
@@ -77,10 +77,10 @@
          !              !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
          !              !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_cdg = FLD_N('cdg_wave'  ,    1     ,'drag_coeff',  .true.    , .false. ,   'daily'   , ''       , ''       )
+         sn_cdg = FLD_N( 'cdg_wave'  ,    1.    ,'drag_coeff',  .true.    , .false. ,   'daily'   , ''       , ''      , '' )
          cn_dir_cdg = './'          ! directory in which the Patm data are 
          
 
-         REWIND( numnam )                             !* read in namlist namsbc_wave_ecmwf
-         READ  ( numnam, namsbc_wave_ecmwf ) 
+!!ACC    REWIND( numnam )                             !* read in namlist namsbc_wave_ecmwf
+!!ACC    READ  ( numnam, namsbc_wave_ecmwf ) 
          !
 
@@ -144,16 +144,16 @@
          !            !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
          !            !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_ust = FLD_N( 'ust'   ,     6     ,  'ust'     ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_vst = FLD_N( 'vst'   ,     6     ,  'vst'     ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_swh = FLD_N( 'swh'   ,     6     ,  'swh'     ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_mwp = FLD_N( 'mwp'   ,     6     ,  'mwp'     ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         !sn_cdww = FLD_N( 'cdww'  ,    6     ,  'cdww'    ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_wspd = FLD_N( 'wspd'   ,   6     ,  'wspd'    ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_phioc = FLD_N( 'phioc'   , 6     ,  'phioc'   ,  .true.    , .false. ,   'monthly' , ''       , ''       )
-         sn_tauoc = FLD_N( 'tauoc'   , 6     ,  'tauoc'   ,  .true.    , .false. ,   'monthly' , ''       , ''       )
+         sn_ust = FLD_N( 'ust'   ,     6     ,  'ust'     ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         sn_vst = FLD_N( 'vst'   ,     6     ,  'vst'     ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         sn_swh = FLD_N( 'swh'   ,     6     ,  'swh'     ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         sn_mwp = FLD_N( 'mwp'   ,     6     ,  'mwp'     ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         !sn_cdww = FLD_N( 'cdww'  ,    6     ,  'cdww'    ,  .true.    , .false. ,   'monthly' , ''       , ''      ,  '' )
+         sn_wspd = FLD_N( 'wspd'   ,   6     ,  'wspd'    ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         sn_phioc = FLD_N( 'phioc'   , 6     ,  'phioc'   ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
+         sn_tauoc = FLD_N( 'tauoc'   , 6     ,  'tauoc'   ,  .true.    , .false. ,   'monthly' , ''       , ''       ,  '' )
          cn_dir_wavepar = './'          ! directory in which the wave data are found
 
-         REWIND( numnam )                             !* read in namlist namsbc_wavepar
-         READ  ( numnam, namsbc_wavepar ) 
+!!ACC    REWIND( numnam )                             !* read in namlist namsbc_wavepar
+!!ACC    READ  ( numnam, namsbc_wavepar ) 
          !
          slf_i(jp_ust) = sn_ust 
@@ -201,3 +201,3 @@
    END SUBROUTINE sbc_wavepar
 
-END MODULE sbcwave
+END MODULE sbcwave_ecmwf
Index: /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 4351)
+++ /branches/2013/dev_ECMWF_waves/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 4352)
@@ -23,4 +23,5 @@
 
    USE sbcmod           ! surface boundary condition       (sbc     routine)
+   USE sbc_oce , ONLY: ln_stcor      ! seems to be necessary but should be included in sbcmod????
    USE sbcrnf           ! surface boundary condition: runoff variables
    USE sbccpl           ! surface boundary condition: coupled formulation (call send at end of step)