Index: /branches/2013/dev_MERGE_2013/NEMOGCM/TOOLS/maketools
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/TOOLS/maketools	(revision 4362)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/TOOLS/maketools	(revision 4363)
@@ -146,5 +146,5 @@
 
 #- When used for the first time, choose a compiler ---
-. ${COMPIL_DIR}/Fcheck_archfile.sh arch_tools.fcm nocpp ${CMP_NAM} || exit
+. ${COMPIL_DIR}/Fcheck_archfile.sh arch_tools.fcm cpp.fcm ${CMP_NAM} || exit
 
 #- Choose a default tool if needed ---
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/common.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/common.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/common.cfg	(revision 4363)
@@ -0,0 +1,63 @@
+step.class[build-tools] = build
+steps = extract preprocess build build-tools
+
+extract.ns = nemo
+extract.location[nemo]  = $HERE/../../..
+extract.path-root[nemo] = NEMOGCM
+extract.path-excl[nemo] = / \
+                        \ NEMO/OPA_SRC/TRD/trdmod_trc.F90 \
+                        \ NEMO/LIM_SRC_2/limrhg.F90 \
+                        \ TOOLS/OBSTOOLS/src/obs_prof_io.F90 \
+                        \ TOOLS/OBSTOOLS/src/ddatetoymdhms.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_fbm.F90 \
+                        \ TOOLS/OBSTOOLS/src/dom_oce.F90 \
+                        \ TOOLS/OBSTOOLS/src/obsprof_io.h90 \
+                        \ TOOLS/OBSTOOLS/src/str_c_to_for.h90 \
+                        \ TOOLS/OBSTOOLS/src/wrk_nemo.F90 \
+                        \ TOOLS/OBSTOOLS/src/obsvel_io.h90 \
+                        \ TOOLS/OBSTOOLS/src/grt_cir_dis_saa.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_sla_io.F90 \
+                        \ TOOLS/OBSTOOLS/src/lbcnfd.F90 \
+                        \ TOOLS/OBSTOOLS/src/obssla_types.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_utils.F90 \
+                        \ TOOLS/OBSTOOLS/src/lib_mpp.F90 \
+                        \ TOOLS/OBSTOOLS/src/obs_vel_io.F90 \
+                        \ TOOLS/OBSTOOLS/src/grt_cir_dis.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_conv_functions.h90 \
+                        \ TOOLS/OBSTOOLS/src/greg2jul.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_sla_types.F90 \
+                        \ TOOLS/OBSTOOLS/src/obssla_io.h90 \
+                        \ TOOLS/OBSTOOLS/src/obs_conv.F90 \
+                        \ TOOLS/OBSTOOLS/src/par_kind.F90 \
+                        \ TOOLS/WEIGHTS/SCRIP1.4 \
+                        \ TOOLS/WEIGHTS/nocsutil \
+                        \ EXTERNAL/IOIPSL/tools/tkcond.c \
+                        \ EXTERNAL/IOIPSL/tools/tkgen.c \
+                        \ EXTERNAL/IOIPSL/tools/tkparse.c \
+                        \ EXTERNAL/IOIPSL/tools/tkparse.h
+extract.path-incl[nemo] = EXTERNAL/IOIPSL NEMO/LIM_SRC_2 NEMO/LIM_SRC_3 NEMO/OPA_SRC NEMO/TOP_SRC \
+                        \ TOOLS/BDY_TOOLS TOOLS/GRIDGEN TOOLS/MPP_PREP TOOLS/NESTING TOOLS/OBSTOOLS/src \
+                        \ TOOLS/REBUILD_NEMO TOOLS/SECTIONS_DIADCT TOOLS/WEIGHTS
+
+preprocess.prop{file-ext.h} = .h90
+
+$nemo_config{?} = amm12
+include = $HERE/keys-$nemo_config.cfg
+
+build.prop{class,no-dep.f.module} = netcdf xios
+build.prop{class,no-dep.include}  = mpif.h netcdf.inc
+
+build.target            = nemo.exe \
+                        \ bdy_reorder mpp_optimiz_zoom_nc.exe mppopt_showproc_nc.exe \
+                        \ agrif_create_bathy.exe agrif_create_coordinates.exe agrif_create_data.exe \
+                        \ agrif_create_restart.exe agrif_create_restart_trc.exe \
+                        \ rebuild flio_rbld.exe rebuild_nemo rebuild_nemo.exe diadct_sections.exe \
+                        \ scrip.exe scripgrid.exe scripinterp.exe scripshape.exe
+build.ns-excl           = nemo/TOOLS/GRIDGEN/src/domain.f90 nemo/TOOLS/GRIDGEN/src/io_netcdf.f90 nemo/TOOLS/OBSTOOLS
+build.prop{dep.o}[nemo/NEMO/OPA_SRC/nemo.f90] = lib_cray.o
+
+build-tools.target      = create_coordinates.exe corio2fb.exe enact2fb.exe fbcomb.exe fbmatchup.exe \
+                        \ fbprint.exe fbsel.exe fbstat.exe fbthin.exe sla2fb.exe vel2fb.exe
+build-tools.ns-excl     = nemo/NEMO/OPA_SRC/DOM/domain.F90 nemo/NEMO/OPA_SRC/par_oce.F90 \
+                        \ nemo/NEMO/OPA_SRC/IOM/in_out_manager.F90 nemo/TOOLS/NESTING/src/io_netcdf.f90
+
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-amm12.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-amm12.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-amm12.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_bdy key_tide key_vectopt_loop key_amm_12km key_dynspg_ts key_ldfslp key_zdfgls key_vvl key_diainstant key_mpp_mpi key_iomput
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_gyre key_dynspg_flt key_ldfslp key_zdftke key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre_pisces.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre_pisces.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-gyre_pisces.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_gyre key_dynspg_flt key_ldfslp key_zdftke key_top key_pisces_reduced key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_trabbl key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_cfc.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_cfc.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_cfc.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_trabbl key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_top key_cfc key_c14b key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_pisces.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_pisces.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_lim_pisces.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_trabbl key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_top key_pisces key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_off_pisces.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_off_pisces.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_off_pisces.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_trabbl key_orca_r2 key_ldfslp key_traldf_c2d key_traldf_eiv key_top key_offline key_pisces key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_sam_lim.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_sam_lim.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/inc/keys-orca2_sam_lim.cfg	(revision 4363)
@@ -0,0 +1,2 @@
+preprocess.prop{fpp.defs} = \
+  key_trabbl key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/pwr7-xlf-meto.cfg
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/pwr7-xlf-meto.cfg	(revision 4363)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/fcm-make/pwr7-xlf-meto.cfg	(revision 4363)
@@ -0,0 +1,28 @@
+include = $HERE/inc/common.cfg
+
+$netcdf_path{?}     = /home/cr/ocean/hadcv/netcdf/4.1.3_seq
+$netcdf_inc_path{?} = $netcdf_path/include
+$netcdf_lib_path{?} = $netcdf_path/lib
+$netcdf_lib{?}      = netcdff netcdf hdf5 hdf5_hl hdf5_fortran z
+
+$xios_path{?}     = /data/nwp/ofrd/share/NEMO/xios_lib/seq/xios_r445
+$xios_inc_path{?} = $xios_path/inc
+$xios_lib_path{?} = $xios_path/lib
+$xios_lib{?}      = xios
+
+preprocess.prop{fpp.flags}         = -E -P -traditional
+preprocess.prop{fpp.include-paths} = /opt/ibmhpc/pecurrent/ppe.poe/include /usr/lpp/ppe.poe/include/thread64
+
+build.prop{class,fc}               = mpxlf90_r
+build.prop{class,fc.flags}         = -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -NS32768 -g -O3 -qnostrict
+build.prop{class,fc.flags-ld}      = -O3
+build.prop{class,fc.include-paths} = $netcdf_inc_path $xios_inc_path
+build.prop{class,fc.libs}          = xlf90 sig $netcdf_lib $xios_lib
+build.prop{class,fc.lib-paths}     = /projects/um1/lib $netcdf_lib_path $xios_lib_path
+build.prop{class,ld}               = mpCC_r
+
+# WEIGHTS needs a different NetCDF library at the moment
+build.prop{fc.include-paths}[nemo/TOOLS/WEIGHTS] = /home/nwp/ofrd/share/netcdf-3.6.0-p1_ec/include
+build.prop{fc.libs}[nemo/TOOLS/WEIGHTS]          = netcdf
+build.prop{fc.lib-paths}[nemo/TOOLS/WEIGHTS]     = /home/nwp/ofrd/share/netcdf-3.6.0-p1_ec/lib
+build.prop{ld}[nemo/TOOLS/WEIGHTS]               = mpxlf90_r